%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define debug_package %{nil} 

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Name:		libbde
Version:	20200724
Release:	1%{?dist}
Summary:	Library to access the BitLocker Drive Encryption (BDE) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libbde/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	openssl         
BuildRequires:	openssl-devel         
BuildRequires:	kernel-headers
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool gcc

%description
libbde is a library to access the BitLocker Drive Encryption (BDE) format

%package devel
Summary: Header files and libraries for developing applications for libbde
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel 
Header files and libraries for developing applications for libbde.

%package python2
Summary: Python 2 bindings for libbde
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release} python2
BuildRequires: python2-devel
Obsoletes: %{name}-python
Provides: %{name}-python = %{version}

%description python2
Python 2 bindings for libbde

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary:	Python 3 bindings for libbde
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release} python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel

%description python%{python3_pkgversion}
Python 3 bindings for libbde
%endif

%package tools
Summary: Several tools for reading BitLocker Drive Encryption volumes
Group: Applications/System
Requires: %{name} = %{version}-%{release}  fuse-libs
BuildRequires:  fuse-devel

%description tools
Several tools for reading BitLocker Drive Encryption volumes

%prep
%setup -q

%build
#if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%if 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libbde.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/bdeinfo
%attr(755,root,root) %{_bindir}/bdemount
%{_mandir}/man1/*

%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Fri Jul 24 2020 Lawrence R. Rogers <lrr@cert.org> 20200724-1
* Release 20200724-1
	Version 20200724

* Sat Dec 21 2019 Lawrence R. Rogers <lrr@cert.org> 20191221-1
* Release 20191221-1
	Version 20191221

* Mon Nov  4 2019 Lawrence R. Rogers <lrr@cert.org> 20191104-1
* Release 20191104-1
	Version 20191104

* Mon Jul  1 2019 Lawrence R. Rogers <lrr@cert.org> 20190701-1
* Release 20190701-1
	Version as of 20190701.

* Sat May 18 2019 Lawrence R. Rogers <lrr@cert.org> 20190317-3
* Release 20190317-3
	Version from 20190317-3: Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20190317-2
* Release 20190317-2
        Rebuilt for Python 3.6 for CentOS/RHEL 7

* Sun Mar 17 2019 Lawrence R. Rogers <lrr@cert.org> 20190317-1
* Release 20190317-1
	Version as of 20190317.

* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20190102-3
* Release 20190102-3
	Release 3 - Removed conflicts when that arise when python2 and python 3
			versions are attempted to be installed on a system.

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20190102-2
* Release 20190102-2
        Version as of 20190102
	-python packages renamed to -python2

* Wed Jan  2 2019 Lawrence R. Rogers <lrr@cert.org> 20190102-1
* Release 20190102-1
	Version as of 20190102

* Thu Dec 27 2018 Lawrence R. Rogers <lrr@cert.org) 20181227-1
* Release 20181227-1
	Version as of 20181227

* Sat Nov 24 2018 Lawrence R. Rogers <lrr@cert.org) 20181124-1
* Release 20181124-1
	Version as of 20181124

* Sat Nov 17 2018 Lawrence R. Rogers <lrr@cert.org) 20181117-1
* Release 20181117-1
	Version as of 20181117

* Mon Aug  6 2018 Lawrence R. Rogers <lrr@cert.org) 20180806-1
* Release 20180806-1
	Version as of 20180806

* Sat Sep  2 2017 Lawrence R. Rogers <lrr@cert.org) 20170902-1
* Release 20170902-1
	Version as of 20170902

* Sat Feb  4 2017 Lawrence R. Rogers <lrr@cert.org) 20170204-1
* Release 20170204-1
	Version as of 20170204

* Tue Sep 20 2016 Lawrence R. Rogers <lrr@cert.org) 20160731-2
* Release 20160731-2
	Added build support for Python 3 for Fedora 20-24 and CentOS/RHEL 7.

* Sun Jul 31 2016 Lawrence R. Rogers <lrr@cert.org) 20160731-1
* Release 20160731-1
	Version as of 20160731

* Mon Apr 18 2016 Lawrence R. Rogers <lrr@cert.org) 20160418-1
* Release 20160418-1
	Version as of 20160418

* Sun Jan 10 2016 Lawrence R. Rogers <lrr@cert.org) 20160110-1
* Release 20160110-1
	20160108
	* updated dependencies

	20160101
	* 2016 update

	20151227
	* updated dependencies

	20151216
	* worked on splitting encryption method and copy
	* worked on AES-XTS support

* Sat Sep  5 2015 Lawrence R. Rogers <lrr@cert.org) 20150905-1
* Release 20150905-1
	20150905
	* updated dependencies
	* code clean up

	20150723
	* worked on tests

	20150721
	* worked on signature check

	20150720
	* worked on tests
	
* Sat May 30 2015 Lawrence R. Rogers <lrr@cert.org) 20150204-2
* Release 20150204-2
	Patch for GCC 5
	
* Wed Feb  4 2015 Lawrence R. Rogers <lrr@cert.org) 20150204-1
* Release 20150204-1
	20150204
	* added correction for volume size being 1 sector short

* Wed Feb  4 2015 Lawrence R. Rogers <lrr@cert.org) 20150124-2
* Release 20150124-2
	20150204
	* added correction for volume size being 1 sector short

* Sat Jan 24 2015 Lawrence R. Rogers <lrr@cert.org) 20150124-1
* Release 20150124-1
	20150124
	* applied updates

* Tue Jan 06 2015 Lawrence R. Rogers <lrr@cert.org) 20150106-1
* Release 20150106-1
	20150106
	* 2015 update

	20141226
	* changes for updated dependencies

	20141222
	* worked on Python 3 support
	* worked on tests

	20141205
	* worked on test scripts
	* worked on thread-safety

	20141130
	* code clean up

	20141120
	* code clean up
	* removed libbde_volume_read_random
	* fixed pybde open close test
	* pybde added get encryption method functionality

	20141028
	* changes for deployment
	* bug fix in Python-bindings

* Thu Oct 23 2014 Lawrence R. Rogers <lrr@cert.org) 20141023-1
* Release 20141023-1
	20141023
	* changes for deployment

	20141017
	* changes for deployment

	20141013
	* worked on utility scripts

	20140928
	* removed README.macosx
	* changes for project site move
	* updated utility scripts
	* updates for latest libfdata

* Thu Jul 31 2014 Lawrence R. Rogers <lrr@cert.org) 20140731-1
* Release 20140731-1
	20140731
	* bug fix in Python bindings

	20140728
	* small change in bdemount for Dokan support

	20140727
	* updated dependencies
	* updated msvscpp files
	* fixes for FreeBSD 8 compilation
	* worked on bdemount

	20140629
	* small improvements to error reporting
	* compression method is now forced to effective 16-bits

	20140607
	* worked on tests
	* updated msvscpp files

	20140531
	* updated dependencies
	* worked on Python bindings
	* added is locked function

	20140405
	* worked on setup.py

	20140404
	* worked on tests

	20140403
	* worked on exposing metadata
	* worked on Python bindings

	20140401
	* worked on exposing metadata
	* worked on Python bindings

	20140331
	* worked on exposing metadata

	20140330
	* worked on Python bindings
	* worked on tests
	* moved password hashes to password keep

	20140112
	* 2014 update
	* updated dependencies

	20131211
	* worked on Python bindings
	* worked on exposing metadata via bdeinfo
	* updated msvscpp files

	20131205
	* updated dependencies

* Sun Sep 08 2013 Lawrence R. Rogers <lrr@cert.org) 20130908-1
* Release 20130908-1
	updated dependencies
	added libcthreads build support
	updated msvscpp files
	bug fixes
	code clean up

* Mon Jul 29 2013 Lawrence R. Rogers <lrr@cert.org) 20130729-1
- Auto-generated

* Fri Jun  7 2013 Joachim Metz <joachim.metz@gmail.com> 20130422-1
- Auto-generated

